#
# spec file for package bluez-firmware
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           bluez-firmware
Version:        1.2
Release:        150.6
Summary:        Bluetooth(TM) Firmware
License:        GPL-2.0-only AND GPL-2.0-or-later AND SUSE-Firmware
Group:          Hardware/Mobile
URL:            http://www.bluez.org/
Source0:        http://bluez.sf.net/download/%{name}-%{version}.tar.gz
Source1:        bfusb.tar.bz2
BuildRequires:  automake
# Modules: bcm203x.ko bfusb.ko
Supplements:    modalias(usb:v057Cp2200d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v0A5Cp2033d*dc*dsc*dp*ic*isc*ip*)
Obsoletes:      bluez-bluefw
# Generated with: extract-modaliases -i bcm203x -i bfusb kernel-default.rpm

%description
Bluetooth(TM) Firmware. Package contains firmware images for some
   Bluetooth(TM) adapters. Currently supported are: * Broadcom
   Corporation BCM2033

* AVM Computersysteme Vertriebs GmbH BLUEFRITZ! USB

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., USA.

%prep
%setup -q -b 1

%build
autoreconf -fi
%configure \
	--libdir=%{_firmwaredir}/../
%make_build

%install
%make_install
rm %{buildroot}%{_firmwaredir}/BCM-LEGAL.txt
install -D -m 644 ../bfusb/bfubase.frm %{buildroot}%{_firmwaredir}/bfubase.frm

%files
%{_firmwaredir}/*
%license COPYING
%doc AUTHORS INSTALL ChangeLog README broadcom/BCM-LEGAL.txt

%changelog
* Wed Aug 17 2022 Dirk Müller <dmueller@suse.com>
- modernize specfile
* Mon Oct 19 2020 Ludwig Nussel <lnussel@suse.de>
- use %%_firmwaredir
* Sat Apr  4 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
* Sat Mar  2 2013 coolo@suse.com
- update license to new format
* Wed Dec 14 2011 coolo@suse.com
- as spdx.org has no concept of firmware, we decided to mark it as
  SUSE-Firmware
* Wed Nov 30 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sun Mar 18 2007 ro@suse.de
- remove /lib/firmware directory from filelist (in filesystem)
* Thu Jul  6 2006 seife@suse.de
- update to v1.2:
  * ver 1.2:
    Add ST Microelectronics firmware files.
  * ver 1.1:
    Add old Broadcom firmware files.
* Wed Mar  8 2006 agruen@suse.de
- Add modalias tags (155357).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct  5 2005 dmueller@suse.de
- add norootforbuild
* Thu Sep 30 2004 kkeil@suse.de
- remove obsolete dependency on kernel-source
* Mon Aug 30 2004 kkeil@suse.de
- update to bluez-firmware-1.0
* Sat Feb  7 2004 kkeil@suse.de
- firmware.agent is now part of hotplug
* Wed Jan 28 2004 ro@suse.de
- fix including kernel header
* Tue Aug 12 2003 kkeil@suse.de
- first version
